version: "3"
services:
  personik-mongo:
    image: mongo:4.4.4
    container_name: ticket-mongo
    restart: always
    environment:
      MONGO_INITDB_ROOT_USERNAME: root
      MONGO_INITDB_ROOT_PASSWORD: ${MONGODB_PASSWORD}
    ports:
      - "27017:27017"
    volumes:
      - mongodb_data:/data/db
    command: ["--bind_ip_all"]

  backend:
    build:
      context: .
      dockerfile: Dockerfile
    image: openjdk:11-jre-slim
    container_name: ticket-backend
    volumes:
      - ./core/build/libs:/core
    ports:
      - "8080:8080"
      - "5005:5000"
    links:
      - personik-mongo
    command: java -agentlib:jdwp=transport=dt_socket,server=y,suspend=n,address=*:5000 -jar ticket.jar
volumes:
  mongodb_data:
